<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="Microsoft.ConfigurationManager.Tool.Migration.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
        </sectionGroup>
    </configSections>
    <startup>
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2" />
    </startup>
    <runtime>
      <!-- Enable all accessibility features -->
      <AppContextSwitchOverrides value="Switch.UseLegacyAccessibilityFeatures=false;Switch.UseLegacyAccessibilityFeatures.2=false;Switch.UseLegacyAccessibilityFeatures.3=false;Switch.UseLegacyToolTipDisplay=false" />
      <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">  
        <dependentAssembly>  
          <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
          <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0"/>  
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
          <bindingRedirect oldVersion="0.0.0.0-4.2.0.0" newVersion="4.0.0.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Web.Http" culture="neutral" publicKeyToken="31bf3856ad364e35" />
          <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
          <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="Azure.Core" culture="neutral" publicKeyToken="92742159e12e44c8" />
          <bindingRedirect oldVersion="0.0.0.0-1.28.0.0" newVersion="1.28.0.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Buffers" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
          <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
          <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Threading.Tasks.Extensions" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
          <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Text.Encodings.Web" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
          <bindingRedirect oldVersion="0.0.0.0-4.0.5.1" newVersion="4.0.5.1" />
        </dependentAssembly>
        <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="Microsoft.Identity.Client" culture="neutral" publicKeyToken="0a613f4dd989e8ae" />
        <bindingRedirect oldVersion="0.0.0.0-4.39.0.0" newVersion="4.39.0.0" />
        </dependentAssembly>
        <dependentAssembly>
        <assemblyIdentity name="Azure.ResourceManager" culture="neutral" publicKeyToken="92742159e12e44c8" />
        <bindingRedirect oldVersion="0.0.0.0-1.4.0.0" newVersion="1.4.0.0" />
        </dependentAssembly>
        <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
        </dependentAssembly>
        <dependentAssembly>
        <assemblyIdentity name="System.Memory" culture="neutral" publicKeyToken="cc7b13ffcd2ddd51" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.1" newVersion="4.0.1.1" />
        </dependentAssembly>
        <dependentAssembly>
          <assemblyIdentity name="System.Runtime.InteropServices.RuntimeInformation" culture="neutral" publicKeyToken="b03f5f7f11d50a3a" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.0" newVersion="4.0.1.0" />
        </dependentAssembly>
      </assemblyBinding>
    </runtime>
  <system.diagnostics>
    <sources>
      <source name="Extend_To_Azure" switchValue="Information">
        <listeners>
          <add name="SmsFileTrace" type="Microsoft.ConfigurationManagement.AdminConsole.SmsTraceListener.CCMFormatTextWriterTraceListener, AdminUI.SmsTraceListener" initializeData="extendtoazure.log" registryKeyName="SMS\Tracing\EXTEND_TO_AZURE"/>
        </listeners>
      </source>
    </sources>
    <trace autoflush="true" />
  </system.diagnostics>
  <userSettings>
    <Microsoft.ConfigurationManager.Tool.Migration.Properties.Settings>
      <setting name="AzureSubscriptionId" serializeAs="String">
        <value />
      </setting>
      <setting name="AzureVirtualNetwork" serializeAs="String">
        <value />
      </setting>
      <setting name="AzureResourceGroup" serializeAs="String">
        <value />
      </setting>
      <setting name="AzureVMSize" serializeAs="String">
        <value />
      </setting>
      <setting name="ExistingDomainFQDN" serializeAs="String">
        <value />
      </setting>
      <setting name="ExistingDomainAdminUsername" serializeAs="String">
        <value />
      </setting>
      <setting name="ExistingDomainDnsIPAddress" serializeAs="String">
        <value />
      </setting>
      <setting name="LastUsedAzureSubscriptionId" serializeAs="String">
        <value />
      </setting>
    </Microsoft.ConfigurationManager.Tool.Migration.Properties.Settings>
  </userSettings>
</configuration>